# $Revision: 1.105 $, $Date: 2012/05/26 05:40:29 $
#
# Conditional build:
%bcond_without	audit		# don't build audit log plugin
%bcond_without	ldap		# build without LDAP support
%bcond_without	selinux		# build without SELinux support
%bcond_with	bioapi		# with BioAPI support in passwd
%bcond_with	gnutls		# use GnuTLS instead of OpenSSL
#
Summary:	Utilities to manage the passwd and shadow user information
Summary(pl.UTF-8):	Narzędzia do zarządzania informacjami o użytkownikach z passwd i shadow
Name:		pwdutils
Version:	3.2.19
Release:	1
License:	GPL v2
Group:		Base
#Source0:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2
Source0:	http://www.linux-nis.org/download/pwdutils/%{name}-%{version}.tar.bz2
# Source0-md5:	25a77a0ab376eacf24ad5eab7af4cdce
Source1:	%{name}.useradd
Source2:	%{name}.rpasswdd.init
Source3:	%{name}.login.defs
Source4:	chage.pamd
Source5:	chfn.pamd
Source6:	chsh.pamd
Source7:	passwd.pamd
Source8:	useradd.pamd
Source9:	userdb.pamd
Source10:	rpasswd.pamd
Patch0:		%{name}-f-option.patch
Patch1:		%{name}-no_bash.patch
Patch2:		%{name}-silent_crontab.patch
Patch3:		%{name}-pl.po-update.patch
Patch4:		%{name}-selinux.patch
URL:		http://www.thkukuk.de/pam/pwdutils/
%{?with_audit:BuildRequires:	audit-libs-devel}
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
%{?with_bioapi:BuildRequires:	bioapi-devel}
BuildRequires:	gcc >= 5:3.2
BuildRequires:	gettext-devel
%{?with_gnutls:BuildRequires:	gnutls-devel >= 1.0.0}
BuildRequires:	libnscd-devel
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool
BuildRequires:	libxcrypt-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
BuildRequires:	openslp-devel
%{!?with_gnutls:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	pam >= 0.99.7.1
Provides:	shadow = 2:%{version}-%{release}
Provides:	shadow-extras = 2:%{version}-%{release}
Obsoletes:	shadow
Obsoletes:	shadow-extras
Obsoletes:	shadow-utils
Conflicts:	util-linux < 2.12-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# for pam module in /%{_lib}/security
%define		_libdir		/%{_lib}

%description
pwdutils is a collection of utilities to manage the passwd and shadow
user information. The difference to the shadow suite is that these
utilities can also modify the information stored in NIS, NIS+, or
LDAP. PAM is used for user authentication and changing the pasword. It
contains passwd, chage, chfn, chsh, and a daemon for changing the
password on a remote machine over a secure SSL connection. The daemon
also uses PAM so that it can change passwords independent of where
they are stored.

%description -l pl.UTF-8
pwdutils to zestaw narzędzi do zarządzania informacjami o
użytkownikach z passwd i shadow. Różnica w stosunku do pakietu shadow
polega na tym, że te narzędzia mogą także modyfikować informacje
zapisane w bazie NIS, NIS+ lub LDAP. PAM jest używany do
uwierzytelniania użytkowników i zmiany haseł. Zestaw zawiera passwd,
chage, chfn, chsh oraz demona do zmiany hasła na zdalnej maszynie po
bezpiecznym połączeniu SSL. Demon także używa PAM, więc można zmieniać
hasła niezależnie od tego, gdzie są przechowywane.

%package log-audit
Summary:	audit log plugin for pwdutils
Summary(pl.UTF-8):	Wtyczka logująca audit dla pwdutils
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description log-audit
audit log plugin for pwdutils.

%description log-audit -l pl.UTF-8
Wtyczka logująca audit dla pwdutils.

%package -n rpasswd
Summary:	Remote password update client
Summary(pl.UTF-8):	Klient do zdalnego uaktualniania haseł
Group:		Applications/System

%description -n rpasswd
rpasswd changes passwords for user accounts on a remote server over a
secure SSL connection. A normal user may only change the password for
their own account, if the user knows the password of the administrator
account (in the moment this is the root password on the server), he
may change the password for any account if he calls rpasswd with the
-a option.

%description -n rpasswd -l pl.UTF-8
rpasswd pozwala zmieniać hasła użytkowników na zdalnym serwerze przy
użyciu bezpiecznego połączenia SSL. Zwykły użytkownik może zmienić
jedynie swoje hasło, a jeśli zna hasło administratora (obecnie jest to
hasło roota na serwerze), może zmienić hasło dla dowolnego konta
wywołując rpasswd z opcją -a.

%package -n rpasswdd
Summary:	Remote password update daemon
Summary(pl.UTF-8):	Demon do zdalnego uaktualniania haseł
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description -n rpasswdd
rpasswdd is a daemon that lets users change their passwords in the
presence of a directory service like NIS, NIS+ or LDAP over a secure
SSL connection. rpasswdd behaves like the normal passwd(1) program and
uses PAM for authentication and changing the password, so it can be
configured very flexible for the local requirements.

%description -n rpasswdd -l pl.UTF-8
rpasswdd to demon pozwalający użytkownikom zmieniać hasła w obecności
usług katalogowych takich jak NIS, NIS+ czy LDAP po bezpiecznym
połączeniu SSL. rpasswdd zachowuje się tak, jak normalny program
passwd(1) i używam PAM do uwierzytelniania i zmiany haseł, więc może
być bardzo elastycznie konfigurowany dla lokalnych wymagań.

%package -n pam-pam_rpasswd
Summary:	pam_rpasswd - PAM module to change remote password
Summary(pl.UTF-8):	pam_rpasswd - moduł PAM do zdalnej zmiany hasła
Group:		Base
# rpasswd.conf is in rpasswd
Requires:	rpasswd = %{version}-%{release}

%description -n pam-pam_rpasswd
The pam_rpasswd PAM module is for changing the password of user
accounts on a remote server over a secure SSL connection. It only
provides functionality for one PAM management group: password
changing.

%description -n pam-pam_rpasswd -l pl.UTF-8
Moduł PAM pam_rpasswd służy do zmiany haseł dla kont użytkowników na
zdalnym serwerze po bezpiecznym połączeniu SSL. Udostępnia
funkcjonalność tylko dla jednej grupy zarządzania PAM: zmiany haseł.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_bioapi:CPPFLAGS="-I/usr/include/bioapi"} \
	%{!?with_bioapi:ac_cv_header_bioapi_h=no ac_cv_lib_bioapi100_BioAPI_Init=no} \
	%{?with_audit:--enable-audit-plugin} \
	%{!?with_gnutls:--disable-gnutls} \
	--%{?with_ldap:en}%{!?with_ldap:dis}able-ldap \
	--enable-nls \
	--enable-pam_rpasswd \
	--%{?with_selinux:en}%{!?with_selinux:dis}able-selinux \
	--enable-slp \
	--disable-rpath
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pwdutils,security,skel/{etc,tmp}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sbindir}/*.local $RPM_BUILD_ROOT%{_sysconfdir}/pwdutils
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/default/useradd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpasswdd
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/login.defs

install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/chage
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/chfn
install %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/chsh
install %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/passwd
install %{SOURCE8} $RPM_BUILD_ROOT/etc/pam.d/useradd
install %{SOURCE9} $RPM_BUILD_ROOT/etc/pam.d/shadow
install %{SOURCE10} $RPM_BUILD_ROOT/etc/pam.d/rpasswd

%{__rm} $RPM_BUILD_ROOT%{_libdir}/pwdutils/*.{la,a}
%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_*.la
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/rpasswdd

:> $RPM_BUILD_ROOT%{_sysconfdir}/shadow
:> $RPM_BUILD_ROOT/etc/security/chfn.allow
:> $RPM_BUILD_ROOT/etc/security/chsh.allow

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/shadow ]; then
	%{_sbindir}/pwconv
fi

%post -n rpasswdd
/sbin/chkconfig --add rpasswdd
%service rpasswdd restart "rpasswdd daemon"

%preun -n rpasswdd
if [ "$1" = "0" ]; then
	%service rpasswdd stop
	/sbin/chkconfig --del rpasswdd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{_sysconfdir}/shadow
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default/*
%attr(750,root,root) %dir %{_sysconfdir}/%{name}
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.local
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/logging
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/chage
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/chfn
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/chsh
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/passwd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/useradd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/shadow
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/login.defs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/chfn.allow
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/chsh.allow
%dir /etc/skel
%dir %config(missingok) %attr(750,root,root) /etc/skel/etc
%dir %config(missingok) %attr(700,root,root) /etc/skel/tmp
%attr(755,root,root) %{_bindir}/chage
%attr(4755,root,root) %{_bindir}/chfn
%attr(4755,root,root) %{_bindir}/chsh
%attr(4755,root,root) %{_bindir}/expiry
%attr(4755,root,root) %{_bindir}/gpasswd
%attr(4755,root,root) %{_bindir}/newgrp
%attr(4755,root,root) %{_bindir}/passwd
%attr(4755,root,root) %{_bindir}/sg
%attr(755,root,root) %{_sbindir}/chpasswd
%attr(755,root,root) %{_sbindir}/groupadd
%attr(755,root,root) %{_sbindir}/groupdel
%attr(755,root,root) %{_sbindir}/groupmod
%attr(755,root,root) %{_sbindir}/grpconv
%attr(755,root,root) %{_sbindir}/grpck
%attr(755,root,root) %{_sbindir}/grpunconv
%attr(755,root,root) %{_sbindir}/pwconv
%attr(755,root,root) %{_sbindir}/pwck
%attr(755,root,root) %{_sbindir}/pwunconv
%attr(755,root,root) %{_sbindir}/useradd
%attr(755,root,root) %{_sbindir}/userdel
%attr(755,root,root) %{_sbindir}/usermod
%attr(755,root,root) %{_sbindir}/vigr
%attr(755,root,root) %{_sbindir}/vipw
%dir %{_libdir}/pwdutils
%attr(755,root,root) %{_libdir}/pwdutils/liblog_syslog.so*
%{_mandir}/man1/chage.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/expiry.1*
%{_mandir}/man1/gpasswd.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/man1/passwd.1*
%{_mandir}/man1/sg.1*
%{_mandir}/man5/login.defs.5*
%{_mandir}/man8/chpasswd.8*
%{_mandir}/man8/groupadd.8*
%{_mandir}/man8/groupdel.8*
%{_mandir}/man8/groupmod.8*
%{_mandir}/man8/grpck.8*
%{_mandir}/man8/grpconv.8*
%{_mandir}/man8/grpunconv.8*
%{_mandir}/man8/pwck.8*
%{_mandir}/man8/pwconv.8*
%{_mandir}/man8/pwunconv.8*
%{_mandir}/man8/useradd.8*
%{_mandir}/man8/userdel.8*
%{_mandir}/man8/usermod.8*
%{_mandir}/man8/vigr.8*
%{_mandir}/man8/vipw.8*

%if %{with audit}
%files log-audit
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwdutils/liblog_audit.so*
%endif

%files -n rpasswd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpasswd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpasswd.conf
%{_mandir}/man1/rpasswd.1*
%{_mandir}/man5/rpasswd.conf.5*

%files -n rpasswdd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rpasswdd
%attr(754,root,root) /etc/rc.d/init.d/rpasswdd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rpasswd
%{_mandir}/man8/rpasswdd.8*

%files -n pam-pam_rpasswd
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_rpasswd.so
%{_mandir}/man8/pam_rpasswd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pwdutils.spec,v $
Revision 1.105  2012/05/26 05:40:29  qboosh
- updated to 3.2.19 (passwd -S fix)
- added selinux patch to fix function name conflict with current libselinux

Revision 1.104  2012/03/27 14:32:49  qboosh
- updated pl.po-update patch (one more message)
- use __rm macro

Revision 1.103  2012/03/23 09:32:20  arekm
- up to 3.2.18

Revision 1.102  2010/11/13 21:02:53  qboosh
- added pl.po-update patch
- /lib<qual>/security is constant, not depending on pwdutils libdir

Revision 1.101  2010/11/13 19:17:15  caleb
- Up to 3.2.13

Revision 1.100  2010/09/16 23:04:58  aredridel
- newgrp and sg must be suid to work

Revision 1.99  2010/09/15 11:05:27  gotar
- missingok flag for skel directories

Revision 1.98  2010/08/16 17:36:35  qboosh
- updated to 3.2.11

Revision 1.97  2010/07/09 07:22:58  qboosh
- updated to 3.2.10
- removed obsolete pl.po-update and stat patches

Revision 1.96  2010/06/10 18:00:30  sparky
- fixed pl.po encoding
- release: 4

Revision 1.95  2010/06/06 10:47:48  wiget
- added stat.patch (missing included for stat/fchmod/S_ISDIR and co)

Revision 1.94  2010/04/20 11:33:57  baggins
- rel 2

Revision 1.93  2010/03/11 15:31:48  wiget
- 3.2.8

Revision 1.92  2010/01/30 06:40:49  glen
- secure default ~/tmp, ~/etc; rel 2

Revision 1.91  2009/08/18 11:02:21  arekm
- up to 3.2.5

Revision 1.90  2008/11/26 13:24:49  arekm
- 3.2.2; pl.po patch nedds update; pam_rpasswd doesn't build anyway

Revision 1.89  2008/10/20 16:16:40  gotar
- added /etc/skel/etc

Revision 1.88  2008/09/08 20:06:08  qboosh
- added crypt patch to restore MD5(!) and add blowfish support in chpasswd(8)
- added lt patch to fix build with libtool 2
- updated am BR
- dropped outdated todo
- release 5

Revision 1.87  2008/05/14 10:16:59  baggins
- rel 4
- /etc/default moved to filesystem

Revision 1.86  2007/11/03 12:09:45  baggins
-rel 3

Revision 1.85  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.84  2007/03/27 15:45:02  baggins
- add our pam config for rpasswd

Revision 1.83  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.82  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.81  2007/02/11 13:26:18  baggins
- rel 2
- R: pam >= 0.99.7.1

Revision 1.80  2007/02/04 22:34:05  arekm
- up to 3.1.3

Revision 1.79  2006/12/06 18:09:03  baggins
- rel 2
- fixed pam configs for chsh and chfn

Revision 1.78  2006/10/27 21:42:18  qboosh
- updated to 3.1.2, updated silent_crontab patch

Revision 1.77  2006/08/22 10:28:14  glen
- rel 1

Revision 1.76  2006/08/09 21:03:43  qboosh
- optional bioapi support

Revision 1.75  2006/08/09 18:02:42  qboosh
- updated pl.po-update patch, release 0.2

Revision 1.74  2006/08/01 17:28:27  paszczus
- updated to 3.1.0
- updated pl.po.patch

Revision 1.73  2006/07/17 09:15:20  havner
- /etc/skel/tmp added
- rel 3

Revision 1.72  2006/03/12 22:56:28  glen
- use %service, adapterized

Revision 1.71  2006/02/18 10:39:24  qboosh
- typos

Revision 1.70  2006/02/13 15:28:38  baggins
- release 2
- fixed %files
- added rpasswd package so pam_rpasswd does not depend on pwdutils
  (because passwd from pwdutils sucks contrary to passwd from shadow)

Revision 1.69  2006/02/05 22:02:43  qboosh
- updated to 3.0.7, updated pl.po-update patch

Revision 1.68  2006/01/17 15:40:09  baggins
- release 4
- BR openldap 2.3

Revision 1.67  2005/12/22 15:16:48  pluto
- release 3 for rebuild with new ldap.

Revision 1.66  2005/12/09 16:23:01  baggins
- changed with openssl bcond to with gnutls, as rpasswdd does not work
  when built with gnutls, i.e. build with openssl by default

Revision 1.65  2005/10/28 06:12:38  qboosh
- updated to 3.0.6, updated pl.po-update patch

Revision 1.64  2005/10/12 05:36:29  qboosh
- added pl.po-update patch

Revision 1.63  2005/10/06 20:48:20  glen
- updated to 3.0.5

Revision 1.62  2005/08/28 15:47:56  qboosh
- updated to 3.0.4, removed obsolete pl.po-update,slp patches
- build audit log plugin

Revision 1.61  2005/07/28 09:00:49  qboosh
- pwdutils 3.0.x prefers gnutls over openssl

Revision 1.60  2005/07/19 14:09:11  qboosh
- added AUTHORS to doc

Revision 1.59  2005/07/18 17:38:10  qboosh
- updated to 3.0.2
- updated pl.po-update patch, added slp patch

Revision 1.58  2005/07/18 13:22:57  havner
- rel 2 for changed login.defs

Revision 1.57  2005/07/11 17:46:59  arekm
- rel 1

Revision 1.56  2005/06/08 14:49:01  zbyniu
- BR: libtool

Revision 1.55  2005/06/05 20:13:32  qboosh
- updated to 3.0

Revision 1.54  2005/05/26 20:40:38  ankry
- script fixes added

Revision 1.53  2005/04/26 19:58:16  qboosh
- updated to 2.6.98, updated pl.po-update patch

Revision 1.52  2005/04/26 08:17:28  pluto
- release 2 for Th (1 for Ac).

Revision 1.51  2005/04/24 18:56:53  qboosh
- updated to 2.6.97, updated pl.po-update patch

Revision 1.50  2005/01/09 16:18:13  qboosh
- added logging config file, release 0.2

Revision 1.49  2005/01/09 16:05:15  qboosh
- updated to 2.6.95, added pl.po-update patch, dropped separate pl.po (merged)

Revision 1.48  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.47  2004/12/21 18:40:18  qboosh
- BR: automake 1.7

Revision 1.46  2004/12/21 17:59:08  qboosh
- updated pl.po, package syslog plugin
- libnscd _is_ needed to work with nscd properly

Revision 1.45  2004/12/17 17:08:38  darekr
- updated to 2.6.94
- removed BR libnscd-devel (in 2.6.94 not needed)

Revision 1.44  2004/12/11 15:20:57  qboosh
- added {chfn,chsh}.allow as config(noreplace) (fixes upgrade from shadow*)

Revision 1.43  2004/12/11 14:55:36  qboosh
- added pl.po - this fixes one regression from shadow
- verify flags unification (sorted)

Revision 1.42  2004/12/04 02:45:53  qboosh
- 2.6.92, needs libnscd now

Revision 1.41  2004/12/01 01:27:35  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.40  2004/11/29 10:32:55  glen
- added CHARACTER_CLASS and GROUPADD_CMD to login defs
- resolve locale issue (http://lists.suse.com/archive/pwdutils/2004-Nov/0003.html)
- rel 3 (STBR)

Revision 1.39  2004/11/25 12:41:49  glen
- add selinux bcond; rel 2; STBR

Revision 1.38  2004/11/25 12:05:30  glen
- O: shadow-utils (to be able to upgrade from fedora)

Revision 1.37  2004/08/17 17:58:59  misi3k
- updated to 2.6.90

Revision 1.36  2004/06/12 13:13:31  arekm
- groupadd -f exits with 0 status when group already exists

Revision 1.35  2004/05/02 22:39:37  ankry
- spaces -> tabs

Revision 1.34  2004/05/02 16:20:50  qrczak
- RPM doesn't like spaces before header lines.

Revision 1.33  2004/04/29 06:39:46  pluto
- bcond_without ldap

Revision 1.32  2004/04/28 19:58:46  qboosh
- added sg hardlink

Revision 1.31  2004/04/24 07:35:20  cieciwa
- version 2.6.4,
- release 1,
- updated MD5 sum.

Revision 1.30  2004/04/06 22:35:38  arekm
- rebuild; averne, you lazy bastard!

Revision 1.29  2004/03/27 09:17:48  qboosh
- updated to 2.6.1

Revision 1.28  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.27  2004/03/18 21:34:51  qboosh
- package pam_rpasswd module
- moved rpasswd.conf from rpasswdd to base (used by rpasswd client and pam module)

Revision 1.26  2004/03/18 01:10:12  arekm
- updated to 2.6 (pam_rpasswd needs subpackage)

Revision 1.25  2004/03/17 14:34:15  wrobell
- rel. 2 to rebuild with new openldap on nest builders

Revision 1.24  2004/02/26 14:28:44  qboosh
- BR sed 4.0, removed ldconfig (no libs in package), cosmetics

Revision 1.23  2004/02/24 22:28:36  arekm
- updated to 2.5.97

Revision 1.22  2004/02/23 21:43:10  qboosh
- updated to 2.5.95
- added newgrp (use versions from pwdutils/shadow - that from util-linux doesn't
  even support gshadow)

Revision 1.21  2004/02/09 00:16:33  arekm
- exclude newgrp manual

Revision 1.20  2004/02/08 09:25:11  misi3k
- updated to 2.5.93

Revision 1.19  2004/02/03 12:42:09  arekm
- updated to 2.5.92.

Revision 1.18  2004/01/22 10:16:02  qboosh
- it uses C99 (at least in SELinux parts) - BR: gcc 3.2

Revision 1.17  2004/01/10 01:47:34  arekm
- updated to 2.5.1 (new tools, grpunconv; pam.d/shadow added for compatiblity)

Revision 1.16  2004/01/08 10:42:35  arekm
- updated to 2.4.90 (SELinux support is nicer in permissive mode now; pwconv, grpconv now included)

Revision 1.15  2004/01/04 19:54:57  qboosh
- pl for rpasswdd

Revision 1.14  2004/01/04 03:10:49  arekm
- rel 5 (shadow), rel 2 (pwdutils)

Revision 1.13  2004/01/04 03:10:11  arekm
- mark /etc/shadow as config (if you don't want to lose your /etc/shadow when switching into pwdutils)

Revision 1.12  2004/01/04 01:39:12  arekm
- missing provides shadow/shadow-extras

Revision 1.11  2004/01/04 01:38:09  arekm
- added rpasswdd subpackage

Revision 1.10  2003/12/11 23:14:43  qboosh
- updated to 2.4

Revision 1.9  2003/12/07 01:38:39  qboosh
- updated to 2.3.99

Revision 1.8  2003/12/04 22:01:18  qboosh
- updated to 2.3.98

Revision 1.7  2003/12/02 22:18:23  qboosh
- updated to 2.3.97

Revision 1.6  2003/10/30 23:55:29  qboosh
- up to 2.3.96, added vigr,vipw
- commented non-existent rpasswdd.init

Revision 1.5  2003/10/17 09:48:08  qboosh
- added md5

Revision 1.4  2003/10/15 20:42:35  arekm
- updated but still not useable

Revision 1.3  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.2  2003/08/02 17:29:53  qboosh
- pl, some cleanups

Revision 1.1  2003/07/16 23:30:36  arekm
- not finished, anyone?
